package com.kingdee.eas.custom.esign;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ESignTemplateFactory
{
    private ESignTemplateFactory()
    {
    }
    public static com.kingdee.eas.custom.esign.IESignTemplate getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplate)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("00725EEB") ,com.kingdee.eas.custom.esign.IESignTemplate.class);
    }
    
    public static com.kingdee.eas.custom.esign.IESignTemplate getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplate)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("00725EEB") ,com.kingdee.eas.custom.esign.IESignTemplate.class, objectCtx);
    }
    public static com.kingdee.eas.custom.esign.IESignTemplate getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplate)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("00725EEB"));
    }
    public static com.kingdee.eas.custom.esign.IESignTemplate getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.esign.IESignTemplate)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("00725EEB"));
    }
}